Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet.container.managed
Enum LifeCycleStatus

    java.lang.Object
      java.lang.Enum<LifeCycleStatus>
          org.jboss.portal.portlet.container.managed.LifeCycleStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LifeCycleStatus>

    public enum LifeCycleStatus

extends java.lang.Enum<LifeCycleStatus>

Version:
  $Revision: 630 $
Author:
  Julien Viet

Enum Constant Summary
`FAILED`
`STARTED`
`STOPPED`

Method Summary
`static LifeCycleStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LifeCycleStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STOPPED

    public static final LifeCycleStatus STOPPED

### STARTED

    public static final LifeCycleStatus STARTED

### FAILED

    public static final LifeCycleStatus FAILED

Method Detail

### values

    public static final LifeCycleStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LifeCycleStatus c : LifeCycleStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LifeCycleStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.